Skip to content

Search Allocations

POST/transactions/allocations/search

Searches transaction allocations by filter criteria

Body ParametersJSONExpand Collapse
filter: object { invoice_id }

Filter criteria for searching transaction allocations.

invoice_id: object { any }
any: array of string

Match allocations where invoice_id is any of these values (OR).

ReturnsExpand Collapse
data: array of object { id, amount, invoice_id, 4 more }
id: string

Allocation ID.

amount: string

Allocated amount in smallest currency unit as stringified bigint.

invoice_id: string

The invoice this allocation is applied against.

posted: string

Posted timestamp of the parent transaction in ISO 8601 format.

formatdate-time
transaction: object { id, external_id }

Reference to a transaction by encoded ID and external ID.

id: string

Encoded transaction ID.

external_id: string

External transaction ID.

type: "invoice_payin" or "invoice_payout"

The type of allocation.

Accepts one of the following:
"invoice_payin"
"invoice_payout"
user: object { id, external_id }

User reference in API responses: Fragment user id and external_id.

id: string

FRAGMENT generated ID of the user

external_id: string

External ID of the user

Search Allocations

curl https://api.us-west-2.fragment.dev/transactions/allocations/search \
    -H 'Content-Type: application/json' \
    -d '{
          "filter": {
            "invoice_id": {
              "any": [
                "inv_abc123"
              ]
            }
          }
        }'
{
  "data": [
    {
      "id": "alloc_abc123",
      "amount": "1000",
      "invoice_id": "inv_abc123",
      "posted": "2026-02-12T00:00:00.000Z",
      "transaction": {
        "id": "txn_dHhuX2ZyYWdfMDAx",
        "external_id": "bank_txn_123"
      },
      "type": "invoice_payin",
      "user": {
        "id": "user_abc123",
        "external_id": "user-ext-001"
      }
    }
  ]
}
Returns Examples
{
  "data": [
    {
      "id": "alloc_abc123",
      "amount": "1000",
      "invoice_id": "inv_abc123",
      "posted": "2026-02-12T00:00:00.000Z",
      "transaction": {
        "id": "txn_dHhuX2ZyYWdfMDAx",
        "external_id": "bank_txn_123"
      },
      "type": "invoice_payin",
      "user": {
        "id": "user_abc123",
        "external_id": "user-ext-001"
      }
    }
  ]
}